CifExcept Class Reference

Static class that represents some exceptions in CIF files related to data values. More...

`#include <CifExcept.h>`

Collaboration diagram for CifExcept:

## Static Public Member Functions

static bool | CanBeUnknown (const std::string &itemName)
static bool | CanBeInapplicable (const std::string &itemName)
static bool | IsBadParentRelation (const std::string &itemName)
static bool | IsBadChildRelation (const std::string &itemName)

## Detailed Description

Static class that represents some exceptions in CIF files related to data values.

## Member Function Documentation

## CanBeInapplicable()

bool CifExcept::CanBeInapplicable | ( | const std::string & | itemName | ) |

static

## CanBeUnknown()

bool CifExcept::CanBeUnknown | ( | const std::string & | itemName | ) |

static

## IsBadChildRelation()

bool CifExcept::IsBadChildRelation | ( | const std::string & | itemName | ) |

static

## IsBadParentRelation()

bool CifExcept::IsBadParentRelation | ( | const std::string & | itemName | ) |

static

The documentation for this class was generated from the following file:

- rcsb/CifExcept.h